* {
    padding: 0;
    margin: 0;
    -webkit-user-select: none;
    /* Safari */
    -moz-user-select: none;
    /* Firefox */
    -ms-user-select: none;
    /* IE 10+ */
    user-select: none;
    /* 标准语法 */
}

/* 自动换行 */
.overFlow {
    word-wrap: break-word;
    overflow: hidden;
}

/* 超过文本省略 */
.overFlowEllipsis {
    overflow: hidden;
    /*超出部分隐藏*/
    text-overflow: ellipsis;
    /* 超出部分显示省略号 */
    white-space: nowrap;
    /*规定段落中的文本不进行换行 */
}

html,
body {
    width: 100%;
    height: 100%;
    /* min-width: 1820px; */
    /* max-width: 1920px; */
    margin: 0 auto;
}

#zdjl_M body::-webkit-scrollbar {
    width: 0;
}

#zdjl_M body::-webkit-scrollbar-thumb {
    background-color: transparent
}

#zdjl_M body::-webkit-scrollbar-track {
    background: transparent;
}

.flex {
    display: flex;
}

.pointer {
    cursor: pointer;
}

.absolute {
    position: absolute;
}

#zdjl_M body {
    overflow: hidden;
    /* 防止外层body滚动，交给mainBody内部滚动 */
}

#zdjl_M #mainBody {
    position: relative;
    margin: 0 auto;
    height: 100vh;
    overflow-y: scroll;
    scroll-snap-type: y mandatory;
    scroll-behavior: smooth;
    -webkit-overflow-scrolling: touch;
    /* iOS顺滑滚动 */
}

/* 针对手机端每一个区块设置滚动吸附 */
#zdjl_M #mainBody>section,
#zdjl_M #mainBody>footer {
    scroll-snap-align: start;
    scroll-snap-stop: always;
    /* 每次滚动强制停在一个区块 */
}

#zdjl_M .Top {
    width: 100%;
    height: 1.06rem;
    background-color: rgba(0, 0, 0, 0.7);
    position: fixed;
    top: 0;
    left: 0;
    z-index: 110;
    padding: 0 0.41rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    box-sizing: border-box;
}

#zdjl_M .Top::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 0.04rem;
    background: linear-gradient(90deg, #1296FF, #FFD257, #71FFEB, #FFD257, #1296FF);
}

#zdjl_M .Top .title {
    width: 2.21rem;
    height: auto;
    margin-left: -0.2rem;
}

#zdjl_M .Top .logo {
    width: 1.11rem;
    height: 1.15rem;
    margin-top: 0.3rem;
    position: relative;
    z-index: 111;
}

#zdjl_M .Top .menu {
    width: 0.5rem;
    height: auto;
}

#zdjl_M .Top .down {
    background: url('../img/newM/btn_download.png');
    background-size: 100% 100%;
    background-repeat: no-repeat;
    background-position: center;
    width: 1.79rem;
    display: block;
    height: 0.61rem;
}

#zdjl_M .indexMHome {
    width: 100%;
    height: 100vh;
    background: url('../img/newM/bg_index_page.png') no-repeat center center;
    background-size: cover;
    position: relative;
}

#zdjl_M .indexMHomeImg {
    width: 44%;
    position: absolute;
    bottom: 6%;
    left: 28%;
}

/* 游戏资讯 */
#zdjl_M .news {
    width: 100%;
    height: 100vh;
    padding: 2% 0%;
    box-sizing: border-box;
    background: url('../img/newM/bg_blue_page.png') no-repeat;
    background-size: 100% 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

#zdjl_M .news .content {
    display: flex;
    width: 100%;
    height: auto;
    position: relative;
    justify-content: center;
    margin-top: 0.24rem;
    flex-direction: column;
    flex: 1;
    overflow: hidden;
    align-items: center;
}

#zdjl_M .news .content .left-box,
#zdjl_M .right-box {
    width: 100%;
}

#zdjl_M .news .content .left-box {
    width: 6.28rem;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: fit-content;
}

#zdjl_M .news-swiper-container {
    width: 6.28rem;
    overflow: hidden;
}

#zdjl_M .news-swiper-container .swiper-slide {
    width: 6.28rem;
    height: 4.22rem;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

#zdjl_M .news .content .left-box::after {
    content: '';
    position: absolute;
    left: 0%;
    top: -2%;
    width: 6.28rem;
    height: 4.22rem;
    z-index: 99;
    background: url(../img/newM/border_news.png) no-repeat center center;
    background-size: 100% 100%;
    pointer-events: none;
}

#zdjl_M .news-swiper-container .swiper-slide img {
    width: 6.05rem;
    height: 3.83rem;
    object-fit: cover;
}

#zdjl_M .swiper-button-prev2,
#zdjl_M .swiper-button-next2 {
    width: 0.64rem;
    height: 0.64rem;
    bottom: 1.8rem;
    z-index: 101;
}

#zdjl_M .swiper-button-prev2 {
    left: -6%;
}

#zdjl_M .swiper-button-next2 {
    right: -6%;
}

#zdjl_M .swiper-title {
    width: 90%;
    background-color: #fee434;
    margin-top: 5%;
    font-size: 18px;
    font-weight: 800;
    border-radius: 50px;
    padding: 1% 5%;
    text-align: center;
}

#zdjl_M .news .content .right-box {
    display: flex;
    flex-direction: column;
    margin-top: 0.3rem;
    width: 6.58rem;
    padding-bottom: 0.9rem;
    box-sizing: border-box;
    flex: 1;
    overflow: hidden;
}

#zdjl_M .news-nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: white;
    border-radius: 0.5rem;
    border: 2px solid #FEE434;
    padding: 0.06rem 0.1rem;
    box-sizing: border-box;
    margin-bottom: 0.2rem;
}

#zdjl_M .news-nav>div {
    flex: 1;
    height: 0.62rem;
    line-height: 0.62rem;
    border-radius: 1rem;
    text-align: center;
    font-weight: 800;
    font-size: 0.3rem;
    cursor: pointer;
    color: #4D4D4D;
    margin-right: 0.1rem;
}

#zdjl_M .news-nav>div:last-child {
    margin-right: 0;
}

#zdjl_M .news-nav>div.newsNavBlock {
    background: url(../img/newM/bg_action_news_title.png) no-repeat center center;
    background-size: 100% 100%;
    color: #612C01;
}

#zdjl_M .news-nav>p {
    display: none;
}

#zdjl_M .news-list {
    width: 100%;
    flex: 1;
    margin-top: 2%;
    overflow-y: auto;
    /* display: flex;
    flex-direction: column;
    justify-content: space-between; */
}

#zdjl_M .news-item {
    width: 100%;
    height: 5vh;
    border-radius: 100px;
    background: #fff;
    padding: 1.5%;
    margin-bottom: 2%;
    box-sizing: border-box;
    display: flex;
    align-items: center;
    color: #000;
    border: 2px solid #FEE434;
}

#zdjl_M .news-item-status {
    width: 0.88rem;
    height: 0.46rem;
    background: url(../img/newM/bg_news_tag.png) no-repeat center center;
    background-size: 100% 100%;
    font-size: 0.24rem;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    margin-right: 0.14rem;
}

#zdjl_M .news-item-status span {
    margin-right: 0.14rem;
    margin-top: -0.04rem;
}

#zdjl_M .news-item-content {
    flex: 1;
    font-size: 14px;
    display: -webkit-box;
    /* 将对象作为弹性伸缩盒子模型显示 */
    -webkit-box-orient: vertical;
    /* 设置或检索伸缩盒对象的子元素的排列方式为垂直方向 */
    -webkit-line-clamp: 1;
    /* 显示的行数 */
    overflow: hidden;
    /* 隐藏超出部分 */
    text-overflow: ellipsis;
    /* 超出内容用省略号表示 */
}

#zdjl_M .news-item-date {
    font-size: 12px;
    margin-right: 2%;
    color: #AEAEAE;
}

/* 最初的伙伴 */
#zdjl_M .initial-partner {
    width: 100%;
    height: 100vh;
    padding: 2% 0.82rem;
    box-sizing: border-box;
    background: url(../img/newM/bg_yellow_page.png) no-repeat;
    background-size: 100% 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

#zdjl_M .partner-content {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    width: 100%;
    margin-top: 0.22rem;
}

#zdjl_M .partner-content .partner-img {
    width: 100%;
    background: url("../img/new/bg_pokemon.png") no-repeat bottom center;
    background-size: 100% 1.68rem;
    min-height: 1.68rem;
    display: flex;
    justify-content: center;
}

#zdjl_M .partner-content .partner-img img {
    width: 72%;
    height: auto;
    margin-bottom: 0.6rem;
}

#zdjl_M .partner-content .left {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
}

#zdjl_M .partner-content .left .left-title {
    width: 4.74rem;
    height: 0.84rem;
    background: url(../img/new/bg_inital_name.png) no-repeat;
    background-size: 100% 100%;
    font-weight: 800;
    font-size: 0.42rem;
    color: #FFFFFF;
    font-style: italic;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: -0.8rem;
}

#zdjl_M .partner-content .left .left-info {
    width: 5.33rem;
    height: 3.07rem;
    box-sizing: border-box;
    padding: 0.3rem 0.31rem;
    background: url(../img/new/bg_info.png) no-repeat;
    background-size: 100% 100%;
    margin: 0.16rem 0;
    display: flex;
    flex-direction: column;
}

#zdjl_M .partner-content .left .left-info .figure {
    margin: 0.1rem 0;
}

#zdjl_M .partner-content .left .left-info .text {
    font-size: 0.24rem;
    color: white;
}

#zdjl_M .partner-content .left .left-info .peculiarity {
    display: flex;
    align-items: center;
}

#zdjl_M .partner-content .left .left-info .peculiarity img {
    height: 0.48rem;
    width: auto;
    margin-right: 0.2rem;
}

#zdjl_M .partner-content .left .left-indicator {
    position: relative;
    width: 5.33rem;
    height: 1.79rem;
    background: url(../img/new/bg_inital_head_portrait.png) no-repeat;
    background-size: 100% 100%;
    align-items: center;
    display: flex;
    padding: 0 0.46rem;
    box-sizing: border-box;
}

#zdjl_M .partner-content .left .left-indicator .arrows {
    width: 0.67rem;
    height: 0.72rem;
    position: absolute;
    cursor: pointer;
    transition: all .2s ease;
}

#zdjl_M .partner-content .left .left-indicator .arrows:hover {
    transform: scale(1.1);
}

#zdjl_M .partner-content .left .left-indicator .left {
    left: -0.37rem;
}

#zdjl_M .partner-content .left .left-indicator .right {
    right: -0.37rem;
}

#zdjl_M .partner-content .left .left-indicator .portrait-box {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    margin-top: 0.04rem;
    box-sizing: border-box;
    overflow: hidden;
}

#zdjl_M .partner-content .left .left-indicator .portrait-box .portrait-list {
    display: flex;
    gap: 0.13rem;
    transition: transform 0.3s ease;
}

#zdjl_M .partner-content .left .left-indicator .portrait-box .portrait {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    cursor: pointer;
    flex-shrink: 0;
}

#zdjl_M .partner-content .left .left-indicator .portrait-box .portrait::after {
    content: '';
    position: absolute;
    top: 0.05rem;
    left: 50%;
    transform: translateX(-50%);
    width: 0.9rem;
    height: 0.9rem;
    border-radius: 50%;
    background: rgba(0, 0, 0, 0.5);
    transition: all 0.3s ease;
    pointer-events: none;
}

#zdjl_M .partner-content .left .left-indicator .portrait-box .portrait.pitch-on::after {
    opacity: 0;
}

#zdjl_M .partner-content .left .left-indicator .portrait-box .portrait img {
    width: 1rem;
    height: 1rem;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 0.03rem;
    position: relative;
}

#zdjl_M .partner-content .left .left-indicator .portrait-box span {
    font-size: 0.24rem;
    color: white;
}

/* 游戏特色 */
#zdjl_M .gameCharacteristic {
    width: 100%;
    height: 100vh;
    padding: 2% 6%;
    box-sizing: border-box;
    background: url(../img/newM/bg_red_page.png) no-repeat;
    background-size: 100% 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

#zdjl_M .left-box4 {
    width: 90%;
    margin-left: 5%;
    margin-right: 5%;
    margin-top: -1rem;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    flex: 1;
}

#zdjl_M .news-swiper-container4 {
    width: 100%;
    height: 6.8rem;
    overflow: hidden;
}

#zdjl_M .news-swiper-container4 .swiper-slide img {
    width: 100%;
    aspect-ratio: 16 / 9;
    object-fit: cover;
}

#zdjl_M .swiper-button-prev4,
#zdjl_M .swiper-button-next4 {
    width: 0.92rem;
    height: auto;
    z-index: 101;
}

#zdjl_M .swiper-button-prev4 {
    top: calc(50% - 4.1rem);
}

#zdjl_M .swiper-button-next4 {
    bottom: calc(50% - 4.1rem);
}

#zdjl_M .news-swiper-container4 .swiper-slide {
    display: flex;
    align-items: center;
    justify-content: center;
    transition: transform 0.3s ease, filter 0.3s ease;
}

#zdjl_M .news-swiper-container4 .swiper-slide-active {
    filter: none;
}

#zdjl_M .news-swiper-container4 .swiper-slide-prev,
#zdjl_M .swiper-slide-next {
    opacity: 0.6;
}


/* 图片翻转动画 */
@keyframes flip {
    0% {
        transform: rotateY(0deg) scaleX(-1);
    }

    50% {
        transform: rotateY(180deg) scaleX(-1);
    }

    100% {
        transform: rotateY(180deg) scaleX(-1);
    }
}

@keyframes flipBack {
    0% {
        transform: rotateY(180deg);
    }

    50% {
        transform: rotateY(0deg);
    }

    100% {
        transform: rotateY(0deg);
    }
}

#zdjl_M .flipped {
    animation: flip 1s forwards;
}

#zdjl_M .unflipped {
    animation: flipBack 1s forwards;
}

/* 隐私协议 */
#zdjl_M .privacy {
    width: 100%;
    padding: 8% 5%;
    box-sizing: border-box;
    background-color: #000;
    display: flex;
    flex-direction: column;
    align-items: center;
    color: #fff;
    font-size: 0.2rem;
}

#zdjl_M .privacy .footer-logo {
    width: 100%;
    display: flex;
    justify-content: center;
    margin-bottom: 0.4rem;
}

#zdjl_M .privacy .footer-logo img {
    width: 2.5rem;
}

#zdjl_M .privacy .footer-content {
    width: 100%;
    text-align: center;
}

#zdjl_M .privacy .footer-logo-box {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 0.3rem;
    font-size: 0.26rem;
}

#zdjl_M .privacy .footer-logo-box img {
    width: 0.55rem;
    height: 0.55rem;
    margin: 0 0.15rem;
}

#zdjl_M .privacy .text-top {
    color: #FFEC94;
    margin-bottom: 0.2rem;
    font-size: 0.22rem;
}

#zdjl_M .privacy .text-bottom {
    line-height: 1.6;
    color: #999;
    font-size: 0.18rem;
}

#zdjl_M .top-title {
    width: 100%;
    display: flex;
    justify-content: center;
    margin: 1.29rem 0 0 0;
}

#zdjl_M .top-title img {
    width: 3.06rem;
    height: auto;
}

#zdjl_M .top-title img.init {
    width: 3.54rem;
    margin-top: -0.2rem;
}

/* dialog */
#zdjl_M .layui-layer-dialog {
    width: 40vw;
    height: 60vh;
}

#zdjl_M body .home-dialog {
    background: none;
    box-shadow: unset;
}

#zdjl_M body .home-dialog .layui-layer-content {
    width: 100%;
    height: 100%;
    position: relative;
    overflow: unset;
    box-sizing: border-box;
}

#zdjl_M body .home-dialog .layui-layer-content::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0%;
    left: 0%;
    background: url(../img/home/dialogBg.png) no-repeat;
    background-size: 100% 100%;
    background-position: -10% -10%;
}

#zdjl_M body .home-dialog .dialog-content-self-title {
    position: absolute;
    z-index: 99;
    top: 5%;
    left: 50%;
    transform: translate(-50%, 0%);
    width: 240px;
    font-weight: 900;
    height: 40px;
    line-height: 40px;
    font-size: 40px;
}

#zdjl_M body .home-dialog .dialog-content-self {
    position: absolute;
    z-index: 99;
    top: 56%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 45%;
    height: 55%;
    overflow-y: auto;
}

#zdjl_M .home-dialog .dialog-content-self>img {
    width: 100%;
    height: 100%;
}

#zdjl_M .home-dialog .layui-layer-setwin {
    right: -6%;
    top: -3%;
}

#zdjl_M .home-dialog .layui-layer-setwin .layui-layer-close2 {
    border: unset;
    background: unset;
    width: 30px;
    height: 30px;
}

#zdjl_M .home-dialog .layui-layer-setwin .layui-layer-close2::before {
    position: absolute;
    font-size: 30px;
    top: 130%;
    left: -67%;
    transform: translate(-50%, -50%);
}

#zdjl_M body .home-dialog2 {
    width: 6.5rem !important;
    height: 4.81rem;
}

#zdjl_M body .home-dialog2 .layui-layer-content::before {
    background: url(../img/newM/bg_cdkey_model.png) no-repeat;
    background-size: contain;
}

#zdjl_M body .home-dialog2 .dialog-content-self {
    width: 76%;
    top: 43%;
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    overflow-y: unset;
}

#zdjl_M body .home-dialog2 .dialog-content-title {
    font-size: 0.4rem;
    line-height: 0.4rem;
    font-weight: 600;
    color: #000;
    margin-bottom: 0.47rem;
}

#zdjl_M body .home-dialog2 .dialog-content-self-code {
    font-size: 0.32rem;
    font-weight: 600;
    display: flex;
    width: 100%;
    margin-bottom: 0.36rem;
    align-items: center;
    justify-content: space-between;
}

#zdjl_M body .home-dialog2 .dialog-content-self-copybtn {
    cursor: pointer;
    background: url("../img/newM/bg_cdkey_model_copy.png") no-repeat;
    background-size: 100% 100%;
    font-size: 0.3rem;
    text-align: center;
    font-weight: normal;
    width: 1.43rem;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 0.54rem;
    color: white;
}

#zdjl_M body .home-dialog2 .dialog-content-self-qq {
    font-size: 0.24rem;
    margin-top: 0.1rem;
    color: #000;
}

#zdjl_M body .home-dialog2 .layui-layer-setwin .layui-layer-close {
    background: url("../img/newM/bg_cdkey_model_close.png") no-repeat center center !important;
    background-size: 100% 100% !important;
    width: 0.6rem !important;
    height: 0.6rem !important;
    top: -0.8rem;
    right: 0.4rem;
}

#zdjl_M body .home-dialog2 .layui-layer-setwin .layui-layer-close::before,
#zdjl_M body .home-dialog2 .layui-layer-setwin .layui-layer-close::after {
    display: none !important;
}

#zdjl_M .layui-layer-msg {
    width: 200px;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 2px solid #ffdc40;
    background-color: #fff;
    border-radius: 10px;
    font-size: 15px;
    font-weight: 600;
    color: #000;
}

.copyright-btn {
    color: #fff;
    font-size: 18px;
    font-weight: 800;
    position: fixed;
    z-index: 103;
    right: 5%;
    bottom: -1px;
    padding: 10px;
    padding-bottom: 5px;
    background: #000;
    border-radius: 20px 20px 0 0;
    transition: all .3s ease-in-out;
    overflow: hidden;
}

#zdjl_M .copyright-btn>img {
    transition: all .5s ease-in-out;
}

/* 手机端全屏菜单 */
#zdjl_M .full-screen-menu {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: url('../img/newM/bg_menu_page.png') no-repeat center center;
    background-size: cover;
    z-index: 109;
    padding: 0 0.18rem;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
}

#zdjl_M .menu-close-btn {
    display: flex;
    justify-content: flex-end;
    margin-top: 1.4rem;
    margin-bottom: 0.5rem;
}

#zdjl_M .menu-close-btn img {
    width: 0.75rem;
    height: 0.75rem;
    cursor: pointer;
}

#zdjl_M .menu-list-m {
    list-style: none;
    padding: 0;
    margin: 0;
    border-top: 2px dashed #916243;
}

#zdjl_M .menu-item-m {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 11vh;
    font-size: 0.4rem;
    color: #916243;
    font-weight: 800;
    border-bottom: 2px dashed #916243;
    position: relative;
    cursor: pointer;
}

#zdjl_M .menu-on-icon {
    width: 0.4rem;
    height: auto;
    margin-right: 0.15rem;
    display: none;
}

#zdjl_M .menu-item-m.active .menu-on-icon {
    display: block;
}

#zdjl_M .menu-bottom-icons {
    display: flex;
    justify-content: center;
    gap: 0.5rem;
    margin-top: auto;
    margin-bottom: 1rem;
}

#zdjl_M .menu-bottom-icons img {
    width: 1.12rem;
    height: 1.12rem;
    cursor: pointer;
}

/* 手机端覆盖全局二维码弹窗的尺寸 */
#zdjl_M .full-qrcode-model .img-box {
    width: 5rem;
    height: 5rem;
}

#zdjl_M .full-qrcode-model .img-box img {
    width: 4.4rem;
    height: 4.4rem;
    border-radius: 0.1rem;
}

/* 针对全面屏手机（如比例比16:9更长，比如18:9、19.5:9等）单独放大避免留白 */
@media screen and (max-aspect-ratio: 11/20) {

    #zdjl_M .initial-partner .left,
    #zdjl_M .gameCharacteristic .left-box4 {
        transform: scale(1.1);
        transform-origin: top center;
    }

    #zdjl_M .left-box4 {
        margin-top: -3rem;
    }
}